<?php
define('IN_SMT',true);
define ('CURSCRIPT','category');
define('IN_MYMPS', true);

require_once dirname(__FILE__)."/include/global.php";
require_once dirname(__FILE__)."/data/config.php";
ifsiteopen();

require_once MYMPS_DATA."/config.db.php";
require_once MYMPS_INC."/db.class.php";
require_once MYMPS_SMARTY."/include.php";

$catid		= isset($catid)    	? intval($catid) 	: 0;
$areaid		= isset($areaid)    ? intval($areaid) 	: 0;
$posttime	= isset($posttime)  ? intval($posttime) : 0;
$page		= isset($page)    	? intval($page) 	: 1;

include MYMPS_ASS.'/info_list.php';

$template = $cat['template'] ? $cat['template'] : 'list';

$smarty -> display(mymps_tpl($template),$tpl_identifier);
is_object($db) && $db->Close();
$cat = $mymps_global = $smarty = $db = $id = $info = $catid = $areaid = $info_posttime = $tpl_identifier = $timestamp = NULL;
?>